/trustpilot-reviews

Returns reviews from Trustpilot businesses. In case no reviews were found by your search criteria, your search request will consume the usage of one review.

↗ Open in API Explorer
GET

Trustpilot Reviews

Returns reviews from Trustpilot businesses.

In case no reviews were found by your search criteria, your search request will consume the usage of one review.

Request

Endpoint: GET https://api.outscraper.cloud/trustpilot-reviews

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Links to Trustpilot pages or domain names (e.g., outscraper.com, https://www.trustpilot.com/review/outscraper.com). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
limit query integer No The parameter specifies the limit of reviews to get from one query. - default 100
skip query integer No Number of items to skip. Must be a multiple of 20 (e.g., 0, 20, 40). Used for pagination. - default 0
languages query string enum No The parameter specifies one of the language filters. - default default, allowed default, all, en, es, de
sort query string enum No The parameter specifies one of the sorting types. - default , allowed recency
cutoff query integer No The parameter specifies the oldest timestamp value for items. Using the cutoff parameter overwrites sort parameter`. Therefore, the latest records will be at the beginning (newest first). - -
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    [
      {
        "query": "outscraper.com",
        "total_reviews": 16,
        "review_rating": 5,
        "review_title": "Extremely easy to use API and very well documented",
        "review_text": "Extremely easy to use API and very well documented - I've been using Outscraper for Google My Business review scraping to display reviews on our customers websites for the past two years with no issues whatsoever. Hope Facebook Page and Trustpilot reviews are added so that I can have everything within one place!",
        "review_likes": 0,
        "review_date": 1675562103,
        "review_id": "63def0579b64b1bdaf4d4895",
        "author_title": "James Morton",
        "author_id": "570fd83f0000ff000a17730a",
        "author_reviews_number": 7,
        "author_reviews_number_same_domain": 1,
        "author_country_code": "GB"
      },
      {
        "query": "outscraper.com",
        "total_reviews": 16,
        "review_rating": 5,
        "review_title": "Powerful tool",
        "review_text": "Powerful tool, and a very responsive team. If used properly it produces excellent results. I have been using this service for 2 weeks since then their team has responded to all of my questions within 24 hours or faster.",
        "review_likes": 0,
        "review_date": 1674242416,
        "review_id": "63cacd504b01fb3f5488166f",
        "author_title": "John Kofax",
        "author_id": "63cacc929e3a180012b87a70",
        "author_reviews_number": 1,
        "author_reviews_number_same_domain": 1,
        "author_country_code": "US"
      }
    ]
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/trustpilot-reviews?query=outscraper.com&limit=3&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/trustpilot-reviews?query=outscraper.com&limit=3" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints